Get Slashing Overview
curl --request GET \
--url https://api.rated.network/v0/eth/slashings/overview \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.rated.network/v0/eth/slashings/overview"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.rated.network/v0/eth/slashings/overview', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"currentSlashingPenaltyGwei": 1064833914,
"discreteSlashingEvents": 97,
"largestSlashingIncident": 2,
"prosSlotsRatio": 0.42446,
"slashingPenaltiesAllRewardsRatio": 0.00011,
"slashingPenaltiesStakeRatio": 0.00001,
"slashingSlotsRatio": 0.00003,
"solosSlotsRatio": 0.57554,
"timeWindow": "all",
"validatorsSlashed": 278
}
]{
"detail": [
{
"msg": "<string>",
"type": "<string>",
"loc": [
"<string>"
]
}
]
}Slashings
Slashing overview
GET
/
v0
/
eth
/
slashings
/
overview
Get Slashing Overview
This endpoint returns overview statistics around slashing, including the number of validators slashed, slashing events, and slashing incidents between professional and solo validators.
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
Available options:
mainnet, hoodi, holesky Response
Successful Response
Available options:
1d, 7d, 30d, all Required range:
x >= 0Required range:
x >= 0Required range:
x >= 0Required range:
x >= 0Required range:
x >= 0Required range:
x >= 0Required range:
x >= 0Required range:
x >= 0Required range:
x >= 0